<?php



$tdataPE_Vinha = array();
$tdataPE_Vinha[".searchableFields"] = array();
$tdataPE_Vinha[".ShortName"] = "PE_Vinha";
$tdataPE_Vinha[".OwnerID"] = "";
$tdataPE_Vinha[".OriginalTable"] = "PE Vinha";


$tdataPE_Vinha[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataPE_Vinha[".originalPagesByType"] = $tdataPE_Vinha[".pagesByType"];
$tdataPE_Vinha[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataPE_Vinha[".originalPages"] = $tdataPE_Vinha[".pages"];
$tdataPE_Vinha[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataPE_Vinha[".originalDefaultPages"] = $tdataPE_Vinha[".defaultPages"];

//	field labels
$fieldLabelsPE_Vinha = array();
$fieldToolTipsPE_Vinha = array();
$pageTitlesPE_Vinha = array();
$placeHoldersPE_Vinha = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsPE_Vinha["Portuguese(Standard)"] = array();
	$fieldToolTipsPE_Vinha["Portuguese(Standard)"] = array();
	$placeHoldersPE_Vinha["Portuguese(Standard)"] = array();
	$pageTitlesPE_Vinha["Portuguese(Standard)"] = array();
	$fieldLabelsPE_Vinha["Portuguese(Standard)"]["CodPE"] = "Cod PE";
	$fieldToolTipsPE_Vinha["Portuguese(Standard)"]["CodPE"] = "";
	$placeHoldersPE_Vinha["Portuguese(Standard)"]["CodPE"] = "";
	$fieldLabelsPE_Vinha["Portuguese(Standard)"]["PE"] = "PE";
	$fieldToolTipsPE_Vinha["Portuguese(Standard)"]["PE"] = "";
	$placeHoldersPE_Vinha["Portuguese(Standard)"]["PE"] = "";
	if (count($fieldToolTipsPE_Vinha["Portuguese(Standard)"]))
		$tdataPE_Vinha[".isUseToolTips"] = true;
}


	$tdataPE_Vinha[".NCSearch"] = true;


	$tdataPE_Vinha[".scrollGridBody"] = true;

$tdataPE_Vinha[".shortTableName"] = "PE_Vinha";
$tdataPE_Vinha[".nSecOptions"] = 0;

$tdataPE_Vinha[".mainTableOwnerID"] = "";
$tdataPE_Vinha[".entityType"] = 0;

$tdataPE_Vinha[".strOriginalTableName"] = "PE Vinha";

	



$tdataPE_Vinha[".showAddInPopup"] = true;

$tdataPE_Vinha[".showEditInPopup"] = false;

$tdataPE_Vinha[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "add";
$tdataPE_Vinha[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataPE_Vinha[".listAjax"] = false;
//	temporary
$tdataPE_Vinha[".listAjax"] = false;

	$tdataPE_Vinha[".audit"] = true;

	$tdataPE_Vinha[".locking"] = true;


$pages = $tdataPE_Vinha[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataPE_Vinha[".edit"] = true;
	$tdataPE_Vinha[".afterEditAction"] = 1;
	$tdataPE_Vinha[".closePopupAfterEdit"] = 1;
	$tdataPE_Vinha[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataPE_Vinha[".add"] = true;
$tdataPE_Vinha[".afterAddAction"] = 1;
$tdataPE_Vinha[".closePopupAfterAdd"] = 1;
$tdataPE_Vinha[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataPE_Vinha[".list"] = true;
}



$tdataPE_Vinha[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataPE_Vinha[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataPE_Vinha[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataPE_Vinha[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataPE_Vinha[".printFriendly"] = true;
}



$tdataPE_Vinha[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataPE_Vinha[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataPE_Vinha[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataPE_Vinha[".isUseAjaxSuggest"] = true;

$tdataPE_Vinha[".rowHighlite"] = true;



			

$tdataPE_Vinha[".ajaxCodeSnippetAdded"] = false;

$tdataPE_Vinha[".buttonsAdded"] = false;

$tdataPE_Vinha[".addPageEvents"] = false;

// use timepicker for search panel
$tdataPE_Vinha[".isUseTimeForSearch"] = false;




$tdataPE_Vinha[".allSearchFields"] = array();
$tdataPE_Vinha[".filterFields"] = array();
$tdataPE_Vinha[".requiredSearchFields"] = array();

$tdataPE_Vinha[".googleLikeFields"] = array();
$tdataPE_Vinha[".googleLikeFields"][] = "CodPE";
$tdataPE_Vinha[".googleLikeFields"][] = "PE";



$tdataPE_Vinha[".tableType"] = "list";

$tdataPE_Vinha[".printerPageOrientation"] = 0;
$tdataPE_Vinha[".nPrinterPageScale"] = 100;

$tdataPE_Vinha[".nPrinterSplitRecords"] = 40;

$tdataPE_Vinha[".geocodingEnabled"] = false;










$tdataPE_Vinha[".pageSize"] = 999;

$tdataPE_Vinha[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataPE_Vinha[".strOrderBy"] = $tstrOrderBy;

$tdataPE_Vinha[".orderindexes"] = array();

$tdataPE_Vinha[".sqlHead"] = "SELECT CodPE,  	PE";
$tdataPE_Vinha[".sqlFrom"] = "FROM `PE Vinha`";
$tdataPE_Vinha[".sqlWhereExpr"] = "";
$tdataPE_Vinha[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataPE_Vinha[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataPE_Vinha[".arrGroupsPerPage"] = $arrGPP;

$tdataPE_Vinha[".highlightSearchResults"] = true;

$tableKeysPE_Vinha = array();
$tableKeysPE_Vinha[] = "CodPE";
$tdataPE_Vinha[".Keys"] = $tableKeysPE_Vinha;


$tdataPE_Vinha[".hideMobileList"] = array();




//	CodPE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodPE";
	$fdata["GoodName"] = "CodPE";
	$fdata["ownerTable"] = "PE Vinha";
	$fdata["Label"] = GetFieldLabel("PE_Vinha","CodPE");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodPE";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodPE";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataPE_Vinha["CodPE"] = $fdata;
		$tdataPE_Vinha[".searchableFields"][] = "CodPE";
//	PE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "PE";
	$fdata["GoodName"] = "PE";
	$fdata["ownerTable"] = "PE Vinha";
	$fdata["Label"] = GetFieldLabel("PE_Vinha","PE");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "PE";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PE";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataPE_Vinha["PE"] = $fdata;
		$tdataPE_Vinha[".searchableFields"][] = "PE";


$tables_data["PE Vinha"]=&$tdataPE_Vinha;
$field_labels["PE_Vinha"] = &$fieldLabelsPE_Vinha;
$fieldToolTips["PE_Vinha"] = &$fieldToolTipsPE_Vinha;
$placeHolders["PE_Vinha"] = &$placeHoldersPE_Vinha;
$page_titles["PE_Vinha"] = &$pageTitlesPE_Vinha;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["PE Vinha"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["PE Vinha"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_PE_Vinha()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "CodPE,  	PE";
$proto1["m_strFrom"] = "FROM `PE Vinha`";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "CodPE",
	"m_strTable" => "PE Vinha",
	"m_srcTableName" => "PE Vinha"
));

$proto7["m_sql"] = "CodPE";
$proto7["m_srcTableName"] = "PE Vinha";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "PE",
	"m_strTable" => "PE Vinha",
	"m_srcTableName" => "PE Vinha"
));

$proto9["m_sql"] = "PE";
$proto9["m_srcTableName"] = "PE Vinha";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto11=array();
$proto11["m_link"] = "SQLL_MAIN";
			$proto12=array();
$proto12["m_strName"] = "PE Vinha";
$proto12["m_srcTableName"] = "PE Vinha";
$proto12["m_columns"] = array();
$proto12["m_columns"][] = "CodPE";
$proto12["m_columns"][] = "PE";
$obj = new SQLTable($proto12);

$proto11["m_table"] = $obj;
$proto11["m_sql"] = "`PE Vinha`";
$proto11["m_alias"] = "";
$proto11["m_srcTableName"] = "PE Vinha";
$proto13=array();
$proto13["m_sql"] = "";
$proto13["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto13["m_column"]=$obj;
$proto13["m_contained"] = array();
$proto13["m_strCase"] = "";
$proto13["m_havingmode"] = false;
$proto13["m_inBrackets"] = false;
$proto13["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto13);

$proto11["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto11);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="PE Vinha";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_PE_Vinha = createSqlQuery_PE_Vinha();


	
		;

		

$tdataPE_Vinha[".sqlquery"] = $queryData_PE_Vinha;

$tableEvents["PE Vinha"] = new eventsBase;
$tdataPE_Vinha[".hasEvents"] = false;

?>